<?php
//------------------------------------
//- Conex�o com o banco de dados SQL -
//------------------------------------

$SQL_BancoDados = @MYSQL_CONNECT(DBSql_Host, DBSql_User, DBSql_Pass);
If (( $SQL_BancoDados ) && defined('DBSql_Bank') && DBSql_Bank !== null) {
	$sDb_ChrCodificacao= 'latin1';
   MYSQL_QUERY("SET character_set_results = '".$sDb_ChrCodificacao."', character_set_client = '".$sDb_ChrCodificacao."', character_set_connection = '".$sDb_ChrCodificacao."', character_set_database = '".$sDb_ChrCodificacao."', character_set_server = '".$sDb_ChrCodificacao."';")  or Die('<script type="text/javascript">alert("'.STR_REPLACE( CHR(13).CHR(10) , '',MYSQL_ERROR() ).'");</script>');
   MYSQL_SELECT_DB(DBSql_Bank) or die(MYSQL_ERROR());
} Else {
   $mensagemErro = "Erro com a conexão com o banco de dados principal do retaguarda. Ver configuração: CONFIG.INC-> DBSql_Bank_Sincronizador";
   $logFileName = '/temporarios/erro_conexao_' . date('Y-m-d_H-i') . '.log';
   
   // Escrever a mensagem de erro no arquivo de log
   file_put_contents(__DIR__ . $logFileName, $mensagemErro);

   // Encerrar o script com uma mensagem de erro
   die($mensagemErro); 
}

?>

